##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
# @maintitle

# @code

#
#  please change all system depend values in the 
#  config.mk.${OSTYPE} file 
#
#
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

# @endcode 

INCLUDES = -I. -I..

# @code 

CINT     = Slalib
LIB      = slalib.a

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .c 

SRCFILES = \
	daf2r.c  gmst.c   mappa.c  aoppa.c  oapqk.c ampqk.c mapqkz.c \
	dr2af.c  dcs2c.c  dimxv.c  dvdv.c   dvn.c   dcc2s.c dranrm.c \
        geoc.c   refco.c  eqeqx.c  aoppat.c dd2tf.c epj.c   prenut.c \
        nutc.c   dmxv.c   refro.c  prec.c   nut.c   dmxm.c  evp.c    \
        drange.c deuler.c cldj.c   aopqk.c  refz.c  dh2e.c  de2h.c   \
        dt.c     dmoon.c  planet.c planel.c el2ue.c ue2pv.c pv2ue.c  \
        altaz.c  rdplan.c pvobs.c  dtt.c    dat.c   rcc.c
#	addet.c
#        afin.c airmas.c altaz.c amp.c \
#	ampqk.c aop.c aoppa.c aoppat.c aopqk.c atmdsp.c \
#	av2m.c bear.c caf2r.c caldj.c calyd.c cc2s.c \
#	cc62s.c cd2tf.c cldj.c clyd.c combn.c cr2af.c cr2tf.c \
#	cs2c.c cs2c6.c ctf2d.c ctf2r.c daf2r.c dafin.c \
#	dat.c dav2m.c dbear.c dbjin.c dc62s.c dcc2s.c \
#	dcmpf.c dcs2c.c dd2tf.c de2h.c deuler.c dfltin.c \
#	dh2e.c dimxv.c djcal.c djcl.c dm2av.c dmat.c \
#	dmoon.c dmxm.c dmxv.c dpav.c dr2af.c dr2tf.c \
#	drange.c dranrm.c ds2c6.c ds2tp.c dsep.c dt.c \
#	dtf2d.c dtf2r.c dtp2s.c dtp2v.c dtps2c.c dtpv2c.c \
#	dtt.c dv2tp.c dvdv.c dvn.c dvxv.c e2h.c earth.c \
#	ecleq.c ecmat.c ecor.c eg50.c el2ue.c epb.c \
#	epb2d.c epco.c epj.c epj2d.c eqecl.c eqeqx.c \
#	eqgal.c etrms.c euler.c evp.c fitxy.c fk425.c \
#	fk45z.c fk524.c fk52h.c fk54z.c fk5hz.c flotin.c \
#	galeq.c galsup.c ge50.c geoc.c gmst.c gmsta.c \
#	h2e.c h2fk5.c hfk5z.c imxv.c intin.c invf.c \
#	kbj.c m2av.c map.c mappa.c mapqk.c mapqkz.c \
#	moon.c mxm.c mxv.c nut.c nutc.c oap.c oapqk.c \
#	obs.c pa.c pav.c pcd.c pda2h.c pdq2h.c permut.c \
#	pertel.c pertue.c planel.c planet.c plante.c pm.c \
#	polmo.c prebn.c prec.c precl.c preces.c prenut.c \
#	pvobs.c pv2el.c pv2ue.c pxy.c range.c ranorm.c \
#	rcc.c rdplan.c refco.c refcoq.c refro.c refv.c \
#	refz.c rverot.c rvgalc.c rvlg.c rvlsrd.c rvlsrk.c \
#	s2tp.c sep.c smat.c subet.c supgal.c \
#	svd.c svdcov.c svdsol.c tp2s.c tp2v.c tps2c.c \
#	tpv2c.c ue2el.c ue2pv.c unpcd.c v2tp.c vdv.c \
#	vn.c vxv.c xy2xy.c zd.c

SRCS    = $(SRCFILES)
HEADERS = $(SRCFILES) 
#:.c=.h)
OBJS    = $(SRCFILES:.c=.o) 

############################################################

all: $(LIB)

include ../Makefile.rules

clean:	rmlib rmcint rmobjs rmcore

mrproper:	clean rmbak

# @endcode

